Package Details: gns3-gui 2.2.5-1

Git Clone URL: https://aur.archlinux.org/gns3-gui.git (read-only, click to copy)
Package Base: gns3-gui
Description: GNS3 network simulator. Graphical user interface package.
Upstream URL: https://github.com/GNS3/gns3-gui
Licenses: GPL3
Groups: gns3
Submitter: korjjj
Maintainer: buzo
Last Packager: buzo
Votes: 71
Popularity: 0.074958
First Submitted: 2014-05-13 18:56
Last Updated: 2020-01-13 17:39

Dependencies (15)

Required by (2)

Sources (2)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 Next › Last »

noplay commented on 2016-04-08 13:06

Hi,

python-paramiko is no longer require.

cioby23 commented on 2016-01-12 22:27

Version 1.4 is out

zecoj commented on 2015-12-24 05:23

v1.3.13 is out now...
update: thanks for the quick turn-around.

dopeadmin commented on 2015-09-09 16:21

are you planning on updating ? new version is out

Neldogz commented on 2015-08-04 17:23

First time attempting to install GNS3 from AUR and it was successful. First installed gns3-gui then, gns3-server, dynamips, vboxwrapper and iouyap. A big thanks to Korjjj the maintainer for making this available and smooth install.

grawity commented on 2015-05-24 10:24

It's troublesome to build the gns3-* packages when using $SRCDEST, since all of them try to download different tarballs with the exact same filename. So, please change the source URL in all packages to:

source=("${pkgname}-${pkgver}.tar.gz::https://github.com/GNS3/${pkgname}/archive/v${pkgver}.tar.gz" ...)

igu0 commented on 2015-04-25 12:48

I've upgraded from 1.2 to 1.3 and getting the following

raceback (most recent call last):
File "/usr/lib/python3.4/site-packages/pkg_resources/__init__.py", line 639, in _build_master
ws.require(__requires__)
File "/usr/lib/python3.4/site-packages/pkg_resources/__init__.py", line 940, in require
needed = self.resolve(parse_requirements(requirements))
File "/usr/lib/python3.4/site-packages/pkg_resources/__init__.py", line 832, in resolve
raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (aiohttp 0.15.1 (/usr/lib/python3.4/site-packages), Requirement.parse('aiohttp>=0.15.1-1'), {'gns3-server'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/bin/gns3server", line 5, in <module>
from pkg_resources import load_entry_point
File "/usr/lib/python3.4/site-packages/pkg_resources/__init__.py", line 3057, in <module>
working_set = WorkingSet._build_master()
File "/usr/lib/python3.4/site-packages/pkg_resources/__init__.py", line 641, in _build_master
return cls._build_from_requirements(__requires__)
File "/usr/lib/python3.4/site-packages/pkg_resources/__init__.py", line 654, in _build_from_requirements
dists = ws.resolve(reqs, Environment())
File "/usr/lib/python3.4/site-packages/pkg_resources/__init__.py", line 827, in resolve
raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'aiohttp>=0.15.1-1' distribution was not found and is required by gns3-server

=============================================================
$ pacman -Qs gns3
local/gns3-converter 1.2.3-1
GNS3 topology converter.
local/gns3-gui 1.3.1-1
GNS3 network simulator. Graphical user interface package.
local/gns3-server 1.3.1-1
GNS3 network simulator. Server package.
local/iouyap 0.95-1
Bridge IOU to UDP, TAP and Ethernet. GNS3 tool.
local/vboxwrapper 0.9.1-1
VirtualBox wrapper for python 2.7. GNS3 tool.
======================================================

]# cat /usr/lib/python3.4/site-packages/gns3_server-1.3.1-py3.4.egg-info/requires.txt
#aiohttp>=0.14.4
aiohttp>=0.15.1-1
jsonschema>=2.4.0
Jinja2>=2.7.3
raven>=5.2.0



korjjj commented on 2015-04-09 13:28

Okay, 1.3.0-3 is just about gns3.desktop

max-k commented on 2015-04-09 09:52

Hi korjjj,

Any plan to add a desktop file ?

You can find one here with some icons :

http://ppa.launchpad.net/gns3/ppa/ubuntu/pool/main/g/gns3/gns3_0.8.6-1~ppa4.debian.tar.gz

Thanks

korjjj commented on 2014-11-20 17:44

@izmntuk Updated. Thanks.